package dao;

import java.util.List;

public interface abstractDAO<T> {
    int insert(T t); //增

    int delete(T t);//删

    int update(T t);//改

    List<T> search(T t);//查

    T searchID(Long id);//查 ByID
}
